POPBill Developers
API Reference

User Setting

1. CheckIsMember - Check if the member is registered

GET https://popbill-test.linkhub.co.kr/Join
GET https://popbill.linkhub.co.kr/Join
  • Checks whether the Integrated Member is registered by querying the Business Registration Number.
Request
Request Headers
No. Field Mandatory Description
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
Query Parameters
No. Field Type Length Mandatory Description
CorpNum string 10 Y POPBiLL member Business Registration Number
LID string - Y LinkID issued by POPBiLL
Request Example
curl --request GET \
  --url 'https://{domain}/Join?CorpNum={CorpNum}&LID={LID}'
Response
Response Body
No. Field Type Length Description
code number - API response code
0Not registered
1Registered
message string - API response message
Response Example
{
    "code": 1,
    "message": "가입"
}

2. CheckID - Check for duplicate ID

GET https://popbill-test.linkhub.co.kr/IDCheck
GET https://popbill.linkhub.co.kr/IDCheck
  • Checks whether the desired ID is already in use.
Request
Request Headers
No. Field Mandatory Description
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
Query Parameters
No. Field Type Length Mandatory Description
ID string 50 Y ID to check for duplication
Request Example
curl --request GET \
  --url 'https://{domain}/IDCheck?ID={ID}'
Response
Response Body
No. Field Type Length Description
code number - API response code
0Not in use
1Use
message string - API response message
Response Example
{
    "code": 1,
    "message": "해당아이디는 사용중 입니다."
}

3. JoinMember - Register a new member

POST https://popbill-test.linkhub.co.kr/Join
POST https://popbill.linkhub.co.kr/Join
  • This is an API to register the Partner’s customer as a POPBiLL Integrated Member.
  • Please note that if the member information is not up to date, use of the Integrated Member sign-up API may be restricted.
Request
Request Headers
No. Field Mandatory Description
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
Request Body
No. Field Type Length Mandatory Description
ID string 50 Y ID
Between 6 and 50 characters in length
Password string 50 Y Password
Between 8 and 20 characters in length
Must include English letters, numbers, and special characters (~!@#$%^&*()_+)
LinkID string 20 Y Partner LinkID
LinkID issued by POPBiLL
CorpNum string 10 Y Business Registration Number
CEOName string 100 Y CEO name
CorpName string 200 Y Company name
Addr string 300 Y Business address
BizType string 100 Y Type of business
BizClass string 100 Y Business class
ContactName string 100 Y Contact name
ContactEmail string 100 Y Contact email
ContactTEL string 20 Y Contact mobile phone
Request Example
curl --request POST \
  --url 'https://{domain}/Join' \
  --header 'Content-Type: application/json' \
  --data '{
    "ID": "test",
    "Password": "test",
    "LinkID": "TESTER",
    "CorpNum": "1234567890",
    "CEOName": "대표자명",
    "CorpName": "회사명",
    "Addr": "주소",
    "BizType": "업태",
    "BizClass": "종목",
    "ContactName": "담당자명",
    "ContactEmail": "test@test.com",
    "ContactTEL": "01012345678"
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "가입 완료"
}

4. QuitMember - Withdraw member

POST https://popbill-test.linkhub.co.kr/QuitRequest
POST https://popbill.linkhub.co.kr/QuitRequest

Processes withdrawal of the POPBiLL Integrated Member.

  • All accounts, including the manager, are deleted in bulk.

If there are remaining points, it is recommended to implement the process as [Request a refund → Member withdrawal].
You can re-register immediately after withdrawal using the same Business Registration Number and ID.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Body
No. Field Type Length Mandatory Description
quitReason string 200 Y Reason for member withdrawal
Request Example
curl --request POST \
  --url 'https://{domain}/QuitRequest' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "quitReason": "회원 탈퇴 사유"
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "신청 완료"
}

5. GetCorpInfo - Retrieve company information

GET https://popbill-test.linkhub.co.kr/CorpInfo
GET https://popbill.linkhub.co.kr/CorpInfo
  • Checks the Integrated Member’s company information.
Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Example
curl --request GET \
  --url 'https://{domain}/CorpInfo'
  --header 'Authorization: Bearer {token}'
Response
Response Body
No. Field Type Length Description
ceoname string 100 CEO name
corpName string 200 Company name
addr string 300 Address
bizType string 100 Type of business
bizClass string 100 Business class
Response Example
{
    "ceoname": "대표자명",
    "corpName": "회사명",
    "addr": "주소",
    "bizType": "업태",
    "bizClass": "종목"
}

6. UpdateCorpInfo - Update company information

POST https://popbill-test.linkhub.co.kr/CorpInfo
POST https://popbill.linkhub.co.kr/CorpInfo
  • Modifies the Integrated Member’s company information.
Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Body
No. Field Type Length Mandatory Description
ceoname string 100 Y CEO name
corpName string 200 Y Company name
addr string 300 Y Address
bizType string 100 Y Type of business
bizClass string 100 Y Business class
Request Example
curl --request POST \
  --url 'https://{domain}/CorpInfo' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "ceoname": "대표자명",
    "corpName": "회사명",
    "addr": "주소",
    "bizType": "업태",
    "bizClass": "종목"
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "수정 완료"
}

7. RegistContact - Add contact

POST https://popbill-test.linkhub.co.kr/IDs/New
POST https://popbill.linkhub.co.kr/IDs/New

Adds an account to the Integrated Member.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Body
No. Field Type Length Mandatory Description
id string 50 Y ID
Between 6 and 50 characters in length
password string 20 Y Password
Between 8 and 20 characters in length
Must include English letters, numbers, and special characters (~!@#$%^&*()_+)
personName string 100 Y Contact name
tel string 20 Y Contact mobile phone
email string 100 Y Contact email
searchRole number 1 N Permission
1User
2Read-Only
3Company : default
Request Example
curl --request POST \
  --url 'https://{domain}/IDs/New' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "id": "test",
    "password": "test",
    "personName": "담당자명",
    "tel": "01012345678",
    "email": "test@test.com"
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "추가 완료"
}

8. GetContactInfo - Get contact details

POST https://popbill-test.linkhub.co.kr/Contact
POST https://popbill.linkhub.co.kr/Contact

Checks the information of an account added to the Integrated Member.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Body
No. Field Type Length Mandatory Description
id string 50 Y Contact ID
Request Example
curl --request POST \
  --url 'https://{domain}/Contact' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "id": "test"
  }'
Response
Response Body
No. Field Type Length Description
id string 50 Contact ID
personName string 100 Contact name
tel string 20 Contact mobile phone
email string 100 Contact email
regDT string 14 Date of creation
format : yyyyMMddHHmmss
searchRole number 1 Permission
1User
2Read-Only
3Company
mgrYN boolean - Role
trueManager
falseAccount
Can be edited in the POPBiLL portal menu [Profile > Company > Users]
state number 1 Account status
1In use
Response Example
{
    "id": "test",
    "personName": "담당자명",
    "tel": "010-1234-5678",
    "email": "test@test.com",
    "regDT": "20250711112027",
    "mgrYN": true,
    "state": 1,
    "searchRole": 3
}

9. ListContact - List contacts

GET https://popbill-test.linkhub.co.kr/IDs
GET https://popbill.linkhub.co.kr/IDs

Checks the list of accounts added to the Integrated Member.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Example
curl --request GET \
  --url 'https://{domain}/IDs' \
  --header 'Authorization: Bearer {token}'
Response
Response Body
No. Field Type Length Description
id string 50 Contact ID
personName string 100 Contact name
tel string 20 Contact mobile phone
email string 100 Contact email
regDT string 14 Date of creation
format : yyyyMMddHHmmss
searchRole number 1 Permission
1User
2Read-Only
3Company
mgrYN boolean - Role
trueManager
falseAccount
Can be edited in the POPBiLL portal menu [Profile > Company > Users]
state number 1 Account status
1In use
Response Example
[
  {
      "id": "test",
      "personName": "담당자명",
      "tel": "010-1234-5678",
      "email": "test@test.com",
      "regDT": "20250711112027",
      "mgrYN": true,
      "state": 1,
      "searchRole": 3
  }
]

10. UpdateContact - Update contact information

POST https://popbill-test.linkhub.co.kr/IDs
POST https://popbill.linkhub.co.kr/IDs

Modifies the information of an account added to the Integrated Member.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Content-Type Y Request body format
application/json
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID N User’s POPBiLL ID
Request Body
No. Field Type Length Mandatory Description
id string 50 Y ID
Between 6 and 50 characters in length
personName string 100 Y Contact name
tel string 20 Y Contact mobile phone
email string 100 Y Contact email
searchRole number 1 N Permission
1User
2Read-Only
3Company : default
Request Example
curl --request POST \
  --url 'https://{domain}/IDs' \
  --header 'Authorization: Bearer {token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "id": "test",
    "personName": "담당자명",
    "tel": "01012345678",
    "email": "test@test.com",
    "searchRole": 3
  }'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "수정 완료"
}

11. DeleteContact - Delete contact

POST https://popbill-test.linkhub.co.kr/Contact/Delete
POST https://popbill.linkhub.co.kr/Contact/Delete

Deletes an account added to the Integrated Member.

Request
Request Headers
No. Field Mandatory Description
Authorization Y Auth Token
Accept-Language N Response language
ko-KR: default
en-US
Accept-Encoding N Response compression method
gzip
X-PB-UserID Y POPBiLL member ID
Only the manager can request.
Query Parameters
No. Field Type Length Mandatory Description
ContactID string 50 Y Contact ID to delete
The Manager cannot be deleted.
Request Example
curl --request POST \
  --url 'https://{domain}/Contact/Delete?ContactID={ContactID}' \
  --header 'Authorization: Bearer {token}'
Response
Response Body
No. Field Type Length Description
code number - API response code
1Success
message string - API response message
Response Example
{
    "code": 1,
    "message": "삭제 완료"
}